apiVersion: apps/v1
kind: Deployment
metadata:
  name: assignment-apps
  labels:
    app: assignment-apps
spec:
  replicas: 1
  selector:
    matchLabels:
      app: assignment-apps
  template:
    metadata:
      labels:
        app: assignment-apps
    spec:
      containers:
        - name: assignment-apps-pod
          image: psrakeshrestha/initial:${TAG}-${HASH}
          imagePullPolicy: Always
          ports:
            - containerPort: 8090
          envFrom:
            - configMapRef:
               name: spring-configmap
          env:
            - name: SPRING_DATASOURCE_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: mysql-secret
                  key: SPRING_DATASOURCE_PASSWORD      
          resources:
            limits:
              cpu: 600m
              memory: 256Mi
            requests:
              cpu: 500m
              memory: 250Mi
          livenessProbe:
            httpGet:
               path: /persons/
               port: 8090
            initialDelaySeconds: 60
            periodSeconds: 60
            timeoutSeconds: 40
            failureThreshold: 3
          readinessProbe:
            httpGet:
                path: /actuator/health
                port: 8090
            initialDelaySeconds: 60
            periodSeconds: 60
            timeoutSeconds: 40
      initContainers:
        - name: check-db
          image: busybox:latest
          command: ['sh', '-c', 'until nc -vz mysql-service 3306; do echo waiting for db; sleep 2; done;']  